[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DialogRes' (#lcl)

# TDialogImageList.DialogIcon

Provides indexed access an image index for the dialog icon identified in AIndex.

## Declaration

Source position: dialogres.pas line 33

`public property TDialogImageList.DialogIcon[AIndex: TDialogImage] : Integer read GetDialogIcon;`

## Description

DialogIcon is a read-only Integer property used to get the ordinal position in internal storage where the image specified in AIndex is stored.

The AIndex argument is a value from the TDialogImage enumeration, and contains an identifier used to locate the corresponding image.

For example:

    Image := TImage.Create(AOwner);
    Image.Parent := AParent;
    Image.Images := DialogGlyphs;
    Image.ImageIndex := DialogGlyphs.DialogIcon[idDialogShield];
    Image.Proportional := True;
    Image.Stretch := True;
    Image.StretchOutEnabled := False;
    Image.Center := True;